> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List shares

> The shares this tenant gives, and the endpoint and warehouses they come from.

**Required roles**: `nx1_catalog_admin`



## OpenAPI

````yaml get /api/data-shares
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/data-shares:
    get:
      tags:
        - Data shares
      summary: List shares
      description: >-
        The shares this tenant gives, and the endpoint and warehouses they come
        from.


        **Required roles**: `nx1_catalog_admin`
      operationId: list_shares_api_data_shares_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShareListResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Too Many Requests
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    ShareListResponse:
      properties:
        endpoint:
          $ref: '#/components/schemas/ShareEndpoint'
        shares:
          items:
            $ref: '#/components/schemas/ShareSummary'
          type: array
          title: Shares
      type: object
      required:
        - endpoint
        - shares
      title: ShareListResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    ShareEndpoint:
      properties:
        tenant:
          type: string
          title: Tenant
        api_url:
          type: string
          title: Api Url
        iceberg_endpoint:
          type: string
          title: Iceberg Endpoint
        token_endpoint:
          type: string
          title: Token Endpoint
        warehouses:
          items:
            type: string
          type: array
          title: Warehouses
      type: object
      required:
        - tenant
        - api_url
        - iceberg_endpoint
        - token_endpoint
      title: ShareEndpoint
      description: 'What this tenant shares from: one URL, one warehouse per catalog.'
    ShareSummary:
      properties:
        id:
          type: string
          title: Id
        slug:
          type: string
          title: Slug
        name:
          type: string
          title: Name
        purpose:
          type: string
          title: Purpose
          default: ''
        recipient_kind:
          type: string
          title: Recipient Kind
        recipient_name:
          type: string
          title: Recipient Name
        recipient_url:
          type: string
          title: Recipient Url
          default: ''
        warehouse:
          type: string
          title: Warehouse
        roles:
          items:
            type: string
          type: array
          title: Roles
        tables:
          items:
            type: string
          type: array
          title: Tables
        status:
          type: string
          title: Status
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires At
        expires_soon:
          type: boolean
          title: Expires Soon
          default: false
        owner:
          type: string
          title: Owner
        created_at:
          type: string
          title: Created At
        key_hint:
          type: string
          title: Key Hint
          default: ''
        last_read_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Read At
      type: object
      required:
        - id
        - slug
        - name
        - recipient_kind
        - recipient_name
        - warehouse
        - status
        - owner
        - created_at
      title: ShareSummary
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.